Subject: Re: [PATCH net-next 6/6] net: dsa: introduce bridge notifier

From: Andrew Lunn <[email-masked]>
Date: Sat, 4 Feb 2017 18:55:17 +0100

> +#define DSA_NOTIFIER_BRIDGE_JOIN		1
> +#define DSA_NOTIFIER_BRIDGE_LEAVE		2

Hi Vivien

Is one notifier per event sufficient?

I've not looked at what actually needs to happen when a port joins a
bridge, in a D in DSA setup. Do we need to both enable the flow of
frames around the switch fabric, but also block those frames going out
ports they should not? Do we need a first notifier to put in place
the blocks, and then a second notifier to enable the flow of packets?

What we don't want is a window of time during the fabric setup as a
whole is inconsistent, and frames a leaking out ports they should not.

      Andrew